import { CSharpType } from './c-sharp-objects';
export declare class CSharpParser {
    static parse(input: string): CSharpType[];
    private static stripIgnored(input);
    private static stripComments(input);
    private static parseInherits(inheritsStr);
    private static parseClassOrStruct(namespace, name, inherits, body);
    private static parseInterface(namespace, name, inherits, body);
    private static parseEnum(namespace, name, inherits, body);
    private static parseMemberTypeName(typeName);
    private static getProperties(body, isInterface);
}
